/**
 * @author Sridhar Narayan
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
// Supports action events on button and text fields
// Also includes menu

import java.awt.Color;
import java.awt.Container;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JTextField;

public class TipCalculator2 extends JFrame implements ActionListener {
	private static final int FRAME_X_ORIGIN = 150;
	private static final int FRAME_Y_ORIGIN = 150;
	private static final int FRAME_WIDTH = 300;
	private static final int FRAME_HEIGHT = 200;

	private static final int BUTTON_WIDTH = 70;
	private static final int BUTTON_HEIGHT = 30;

	private JButton button;
	private JLabel amtLabel;
	private JTextField amount, tipRate, tipAmount;

	public TipCalculator2(String s) {

		setSize(FRAME_WIDTH, FRAME_HEIGHT);
		setTitle(s);
		setLocation(FRAME_X_ORIGIN, FRAME_Y_ORIGIN);

		Container contentPane = getContentPane(); // whose content pane ?
		contentPane.setLayout(null);
		contentPane.setBackground(Color.white);

		button = new JButton("Calc");
		button.setBounds(10, 125, BUTTON_WIDTH, BUTTON_HEIGHT);
		for (int i = 1; i <= 5; i++)
			button.addActionListener(this);
		contentPane.add(button);

		button = new JButton("Clear");
		button.setBounds(170, 125, BUTTON_WIDTH, BUTTON_HEIGHT);
		button.addActionListener(this);
		contentPane.add(button);

		JLabel amtLabel = new JLabel("Amount:");
		amtLabel.setBounds(25, 20, 100, 25);
		contentPane.add(amtLabel);

		amount = new JTextField();
		amount.setBounds(125, 20, 50, 25);
		amount.addActionListener(this);
		contentPane.add(amount);

		JLabel tipLabel = new JLabel("Tip %:");
		tipLabel.setBounds(25, 50, 100, 25);
		contentPane.add(tipLabel);

		tipRate = new JTextField();
		tipRate.setBounds(125, 50, 50, 25);
		tipRate.addActionListener(this);
		contentPane.add(tipRate);

		JLabel tipAmtLabel = new JLabel("Tip:");
		tipAmtLabel.setBounds(25, 80, 100, 25);
		contentPane.add(tipAmtLabel);

		tipAmount = new JTextField();
		tipAmount.setBounds(125, 80, 50, 25);
		tipAmount.setEditable(false);
		contentPane.add(tipAmount);

		buildMenuBar();

		setDefaultCloseOperation(EXIT_ON_CLOSE);
	}
	private void buildMenuBar() {
		JMenu optionMenu = new JMenu("Options");
                JMenu junkMenu = new JMenu("Junk");
		JMenu fileMenu = new JMenu("File");

		JMenuItem item;
		item = new JMenuItem("Calc");
		item.addActionListener(this);
		optionMenu.add(item);

		item = new JMenuItem("Clear");
		item.addActionListener(this);
		optionMenu.add(item);
 
                item = new JMenuItem("Do this");
                junkMenu.add(item); 
                optionMenu.add(junkMenu);

		item = new JMenuItem("Quit");
		item.addActionListener(this);
		fileMenu.add(item);

                

		JMenuBar menuBar = new JMenuBar();
		setJMenuBar(menuBar);
		menuBar.add(fileMenu);
		menuBar.add(optionMenu);
	}
	public void updateCount(int value) {
		amount.setText("=" + value);
	}
	public static void main(String[] args) {
		TipCalculator2 tc = new TipCalculator2("Tip Calculator");
		tc.setVisible(true);
	}
	/* (non-Javadoc)
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	public void actionPerformed(ActionEvent evt) {
		// Either a button press OR the enter key was pressed after data entry
		Object o = evt.getSource();

		if (o instanceof JButton
			|| o instanceof JMenuItem) {
			// either Calc or Clear from menu or button
			String command = evt.getActionCommand();
			if (command.equals("Clear")) {
				amount.setText("");
				tipRate.setText("");
				tipAmount.setText("");
				return;
			} else if (command.equals("Quit"))
				System.exit(0);
		}
		// Either Calc (from JButton or menu) or <enter> in JTextField	
		tipAmount.setText("" + computeTip());

	}
	private double computeTip() {
		double bill = Double.parseDouble(amount.getText());

		double rate = Double.parseDouble(tipRate.getText());

		double tip = bill * rate / 100;

		return tip;
	}
}
